EXTLOOKUP2HIERA(1)

NAME
extlookup2hiera - A 'puppet extlookup'-CSV converter

SYNOPSIS

extlookup2hiera [options]

DESCRIPTION

extlookup2hiera is a converter for 'puppet extlookup'-CSV files into 'Hiera'-JSON or -YAML files.

OPTIONS

-i, --in FILE
    Input CSV file

-o, --out FILE
    Output Hiera file

-j, --json
    Create JSON format file

When used without -j or --json it'll fallback to creating a YAML format file.

AUTHORS

extlookup2hiera is a part of Puppet Hiera and developed by Puppet Labs <info@puppetlabs.com>, (R.I.Pienaar <rip@devco.net> respectively).

This man page was written by Patrick Ringl <patrick_@freenet.de> for the Debian GNU/Linux distribution (but it may also be used by others).